Create Payment RequestAsk AIpost https://api.clik2pay.com/open/v1/payment-requestsReturns a unique {paymentRequestId} for a payment request transaction.Body ParamsmerchantTransactionIdstringlength between 6 and 32Optional value to allow tracking a transaction back to your system. The ID must be unique across transactions for a merchant.amountdoublerequired0.01 to 10000The payment amount in Canadian dollars. (Use “null” when type is FLEX.)typestringenumrequiredThe type of transaction for the payment request: ECOMM For web-based applications where the payment is initiated directly from your website or online platform. This type is ideal for standard e-commerce checkouts. MOBIL This type has been deprecated. EBILL Designed for scenarios where you need to send payment links externally. This includes generating payment links for distribution via email, SMS, QR codes, or embedding directly into your merchant-managed pages. SMART Read only. Creates reusable payment links. This is suitable for general payment collection where you can set certain parameters to be filled out by the customer prior to making a payment. FLEX Allows the customer to pay an amount within a dynamic range you define, enabling partial payments towards a total. You can specify minimum and/or maximum payment thresholds, giving the customer control over the immediate payment amount until the full balance is paid. ECOMMMOBILEBILLSMARTFLEXAllowed:ECOMMMOBILEBILLSMARTFLEXstatusstringdeliveryDatedateThe date on which the payment request is delivered to the payer.deliveryModestringenumThe method to use to notify the payer of the request.SMSEMAILNONEAllowed:SMSEMAILNONEmerchantobjectDetails of the merchant that owns the payment request.merchant objectpayerobjectrequiredThe customer fulfilling the payment.payer objectflexDetailsobjectData used for flexible payments. Required only if payment type is FLEX.Amount Range objectdueDatedateThe date (ISO 8601) on which payment is due. Informational field only; no further action is taken by our systems if the date is surpassed.displayMessagestringlength between 3 and 250The message presented to the payer on Interac's Gateway page. If not set, a default message will be displayed.invoiceNumberstringlength ≤ 50Merchant’s invoice number to apply to the transaction for tracking purposes.businessUnitstringlength ≤ 50Merchant-defined value. Allows a merchant to refer to their internal business unit, department, division, etc.emailTemplateobjectEmail notification to the payer will be sent with this template.emailTemplate objectResponses 201Created 400Bad Request 401Unauthorized 403Forbidden 429Too Many Requests 500Internal Server ErrorUpdated 7 months ago